curl --request GET \
--url https://api.example.com/cabinet/admin/payments/search \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": 123,
"method": "<string>",
"method_display": "<string>",
"identifier": "<string>",
"amount_kopeks": 123,
"amount_rubles": 123,
"status": "<string>",
"status_emoji": "<string>",
"status_text": "<string>",
"is_paid": true,
"is_checkable": true,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"payment_url": "<string>",
"user_id": 123,
"user_telegram_id": 123,
"user_username": "<string>",
"user_email": "<string>"
}
],
"total": 123,
"page": 123,
"per_page": 123,
"pages": 123
}Search payments across all providers with filters.
curl --request GET \
--url https://api.example.com/cabinet/admin/payments/search \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": 123,
"method": "<string>",
"method_display": "<string>",
"identifier": "<string>",
"amount_kopeks": 123,
"amount_rubles": 123,
"status": "<string>",
"status_emoji": "<string>",
"status_text": "<string>",
"is_paid": true,
"is_checkable": true,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"payment_url": "<string>",
"user_id": 123,
"user_telegram_id": 123,
"user_username": "<string>",
"user_email": "<string>"
}
],
"total": 123,
"page": 123,
"per_page": 123,
"pages": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Search query (invoice, @username, telegram_id, email)
256Status filter: all, pending, paid, cancelled
Filter by payment method
Period preset: 24h, 7d, 30d, all
Custom range start (ISO 8601)
Custom range end (ISO 8601)
Page number
x >= 1Items per page
1 <= x <= 100